Skip to main content
POST
/
teams
/
{team_id}
/
members
Add members to team
curl --request POST \
  --url https://api.mnemom.ai/v1/teams/{team_id}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_ids": [
    "<string>"
  ]
}
'
{
  "added": [
    "<string>"
  ],
  "already_members": [
    "<string>"
  ],
  "members": [
    {
      "team_id": "<string>",
      "agent_id": "<string>",
      "agent_name": "<string>",
      "added_at": "2023-11-07T05:31:56Z",
      "removed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

team_id
string
required

Team identifier (UUID)

Body

application/json
agent_ids
string[]
required

Agent IDs to add

Minimum array length: 1

Response

Members added

added
string[]
already_members
string[]
members
object[]